#ifndef CONFIG_H_GUARD
#define CONFIG_H_GUARD

typedef struct {
	int useRegistry;
	int readMax; /* P:KB(*1024B) 0Ŗ */ 
	/* ^:readMax𒴂TCỸNbv{[hf[^͑Sǂݍ܂Ȃ
	   U:readMax܂ŃNbv{[hf[^ǂݍ */ 
	int noReadOverMax;
	int ignoreComma;
	int stopOnPeriod;
	int enableVoice;
	char voiceFile[1024];
} config_t;

const char* getExeDir(void);
void loadConfig(config_t* config);
void saveConfig(const config_t* config);
void applyConfigToUI(HWND hWnd,const config_t* config);
void getConfigFromUI(HWND hWnd,config_t* config);

#endif
