#include <windows.h>
#include "ui.h"
#include "makeui.h"

static void wndResizeByClient(HWND hWnd,int x,int y) {
	RECT size;
	RECT wndsize;
	GetClientRect(hWnd,&size);
	GetWindowRect(hWnd,&wndsize);
	wndsize.right=wndsize.right-wndsize.left;
	wndsize.bottom=wndsize.bottom-wndsize.top;
	SetWindowPos(hWnd,NULL,0,0,x+wndsize.right-size.right,y+wndsize.bottom-size.bottom,SWP_NOMOVE | SWP_NOREPOSITION | SWP_NOZORDER);
}

void make_ui(HWND hWnd,HFONT hFont) {
	HINSTANCE hInst=GetModuleHandle(NULL);
	HWND hTempWnd;
	wndResizeByClient(hWnd,400,245);
	SendMessage(
		CreateWindowEx(0,"STATIC","őTCY : ",
			WS_CHILD | WS_VISIBLE | SS_RIGHT,
			10,10,160,25,hWnd,(HMENU)IDC_STATIC,hInst,NULL),
		WM_SETFONT,(WPARAM)hFont,0);
	SendMessage(
		hTempWnd=CreateWindowEx(WS_EX_CLIENTEDGE,"EDIT","",
			WS_CHILD | WS_VISIBLE | ES_NUMBER | ES_AUTOHSCROLL | ES_RIGHT | WS_TABSTOP,
			170,10,100,25,hWnd,(HMENU)IDC_EDIT_READMAX,hInst,NULL),
		WM_SETFONT,(WPARAM)hFont,0);
	SendMessage(hTempWnd,EM_SETLIMITTEXT,9,0);
	SendMessage(
		CreateWindowEx(0,"STATIC"," KB(0Ŗ)",
			WS_CHILD | WS_VISIBLE | SS_LEFT,
			270,10,120,25,hWnd,(HMENU)IDC_STATIC,hInst,NULL),
		WM_SETFONT,(WPARAM)hFont,0);
	SendMessage(
		hTempWnd=CreateWindowEx(WS_EX_CLIENTEDGE,"COMBOBOX","",
			WS_CHILD | WS_VISIBLE | CBS_DROPDOWNLIST | WS_TABSTOP,
			10,40,380,80,hWnd,(HMENU)IDC_COMBO_NOREADOVERMAX,hInst,NULL),
		WM_SETFONT,(WPARAM)hFont,0);
	SendMessage(hTempWnd,CB_ADDSTRING,0,(LPARAM)"őTCY܂ł݂̂K");
	SendMessage(hTempWnd,CB_ADDSTRING,0,(LPARAM)"őTCY𒴂ꍇȂ");
	SendMessage(
		CreateWindowEx(0,"BUTTON","R}𖳎",
			WS_CHILD | WS_VISIBLE | BS_AUTOCHECKBOX | WS_TABSTOP,
			10,70,380,25,hWnd,(HMENU)IDC_CHECK_IGNORECOMMA,hInst,NULL),
		WM_SETFONT,(WPARAM)hFont,0);
	SendMessage(
		CreateWindowEx(0,"BUTTON","sIhŋ؂",
			WS_CHILD | WS_VISIBLE | BS_AUTOCHECKBOX | WS_TABSTOP,
			10,100,380,25,hWnd,(HMENU)IDC_CHECK_STOPONPERIOD,hInst,NULL),
		WM_SETFONT,(WPARAM)hFont,0);
	SendMessage(
		CreateWindowEx(0,"BUTTON","fɉĐ",
			WS_CHILD | WS_VISIBLE | BS_AUTOCHECKBOX | WS_TABSTOP,
			10,130,380,25,hWnd,(HMENU)IDC_CHECK_ENABLEVOICE,hInst,NULL),
		WM_SETFONT,(WPARAM)hFont,0);
	SendMessage(
		CreateWindowEx(0,"STATIC","Đ鉹 : ",
			WS_CHILD | WS_VISIBLE | SS_RIGHT,
			10,160,130,25,hWnd,(HMENU)IDC_STATIC,hInst,NULL),
		WM_SETFONT,(WPARAM)hFont,0);
	SendMessage(
		hTempWnd=CreateWindowEx(WS_EX_CLIENTEDGE,"EDIT","",
			WS_CHILD | WS_VISIBLE | ES_AUTOHSCROLL | ES_LEFT | WS_TABSTOP,
			140,160,200,25,hWnd,(HMENU)IDC_EDIT_VOICEFILE,hInst,NULL),
		WM_SETFONT,(WPARAM)hFont,0);
	SendMessage(hTempWnd,EM_SETLIMITTEXT,1020,0);
	SendMessage(
		CreateWindowEx(0,"BUTTON","Q",
			WS_CHILD | WS_VISIBLE | BS_PUSHBUTTON,
			340,160,50,25,hWnd,(HMENU)IDC_BUTTON_FILESELECT,hInst,NULL),
		WM_SETFONT,(WPARAM)hFont,0);
	SendMessage(
		CreateWindowEx(0,"BUTTON","OK",
			WS_CHILD | WS_VISIBLE | BS_DEFPUSHBUTTON | WS_TABSTOP,
			100,210,90,25,hWnd,(HMENU)IDOK,hInst,NULL),
		WM_SETFONT,(WPARAM)hFont,0);
	SendMessage(
		CreateWindowEx(0,"BUTTON","Kp",
			WS_CHILD | WS_VISIBLE | BS_PUSHBUTTON | WS_TABSTOP,
			200,210,90,25,hWnd,(HMENU)IDC_BUTTON_APPLY,hInst,NULL),
		WM_SETFONT,(WPARAM)hFont,0);
	SendMessage(
		CreateWindowEx(0,"BUTTON","LZ",
			WS_CHILD | WS_VISIBLE | BS_PUSHBUTTON | WS_TABSTOP,
			300,210,90,25,hWnd,(HMENU)IDCANCEL,hInst,NULL),
		WM_SETFONT,(WPARAM)hFont,0);
}
